@charset "UTF-8";

:root {
    --color-primary: #004190;
    --color-primary-rgb: 0, 65, 144;

    --color-lb: #2D8CC8;
    --color-lb-rgb: 45, 140, 200;

    --color-yl: #FADC6E;
    --color-yl-rgb: 250, 220, 110;

    --color-gr: #4A9191;
    --color-gr-rgb: 74, 145, 145;

    --color-red: #8C3633;
    --color-red-rgb: 140, 54, 51;

    --color-wh: #fff;
    --color-wh-rgb: 255, 255, 255;

    --color-bk-column: #242424;
    --color-bk-column-rgb: 36, 36, 36;

    --color-gry: #787878;
    --color-gry-rgb: 120, 120, 120;
}


.u-inner.column-single-page-inner {
    width: 100%;
}

.header-inner,
.breadcrumb > .inner,
.column-single-post-content-wrapper {
    width: min(92%, 1200px);
}

@media (max-width: 768px) {
    .breadcrumb > .inner {
        font-size: 10px;
    }
}

/* ---------
　FV
------------*/
.column-single-page-container {
    overflow: visible;
    overflow-x: clip;
}
.column-single-introduction {
    width: min(100%, 1600px);
    align-items: center;
    gap: 0;
    margin: 56px auto 0;
    position: relative;
    z-index: 1;
}

.column-single-introduction::before {
    content: "";
    width: 130vw;
    height: auto;
    aspect-ratio: 60 / 17;
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/br_bl.svg) center bottom / contain no-repeat;
    position: absolute;
    bottom: 7%;
    left: 54%;
    translate: -50% 0;
    z-index: -1;
    rotate: -10deg;
}

.column-single-introduction-header {
    width: 50%;
    padding: 0 32px;
}

.c-main-title {
    font-weight: 700;
}

.column-single-introduction-description {
    margin-top: 32px;
    font-size: 16px;
    line-height: 1.8;
}

.column-single-introduction-button {
    font-size: 23px;
    margin: 32px auto 0;
    width: 85%;
    height: 95px;
    border: none;
    box-shadow: 0 4px 12px rgba(var(--color-bk-column-rgb), 0.2);
}

.column-single-introduction-thumbnail {
    width: 50%;
    margin: 0;
}

@media (max-width: 1200px) {
    .c-main-title {
        font-size: 24px;
    }
    .column-single-introduction-description {
        font-size: 14px;
        margin-top: 24px;
    }

    .column-single-introduction-button {
        font-size: 20px;
        margin: 24px auto 0;
        width: 100%;
        height: 80px;
    }
}
@media (max-width: 768px) {
    .column-single-page-container {
        padding-top: 24px;
    }

    .column-single-introduction {
        flex-direction: column-reverse;
        margin: 24px auto 0;
        padding: 0 3%;
    }

    .column-single-introduction::before {
        width: min(250vw, 1200px);
        bottom: 35%;
        left: 70%;
    }

    .column-single-introduction-header,
    .column-single-introduction-thumbnail {
        display: block;
        width: 100%;
    }

    .column-single-introduction-header {
        padding: 0;
        margin: 2em 0 0;
    }

}


/* ---------
　メインコンテンツ
------------*/

.column-single-post-content-wrapper {
    margin: 100px auto 0;
    grid-template-columns: 1fr 280px;
    align-items: flex-start;
    gap: 0 64px;
    letter-spacing: 0.02em;
    font-size: 16px;
}

.column-single-post-content-wrapper h2,
.column-single-post-content-wrapper h3,
.column-single-post-content-wrapper h4 {
    font-weight: 700;
}

@media (max-width: 768px) {
    .column-single-post-content-wrapper {
        grid-template-columns: 1fr;
        margin: 64px auto 0;
    }
}

/* この記事でわかること */
.block-summary-container {
    margin-bottom: 3.5em;
}

.block-summary-container h2 {
    display: inline-block;
    padding: 0.625em 3.25em;
    background-color: var(--color-wh);
    border: 1px solid var(--color-primary);
    border-bottom: none;
    color: var(--color-primary);
}

.block-summary-container ul {
    padding: 2.5em 2em;
    display: flex;
    flex-direction: column;
    gap: 1.25em;
    border-top: 1px solid var(--color-primary);
    border-bottom: 1px solid var(--color-primary);
}

.block-summary-container ul li {
    color: var(--color-primary);
    font-weight: 700;
    position: relative;
    padding-left: 2.5em;
}

.block-summary-container ul li::before {
    content: "";
    width: 1em;
    height: 1em;
    border-radius: 50%;
    background-color: var(--color-yl);
    translate: 0 0.3em;
    position: absolute;
    left: 0;
}

@media (max-width: 1200px) {
    .column-single-post-content-wrapper {
        gap: 0 5%;
    }
}
@media (max-width: 768px) {
    .block-summary-container ul {
        padding: 1.5em 1em;
    }

    .block-summary-container ul li {
        font-size: 14px;
    }
}

/* 目次 */
.column-single-post-content #ez-toc-container {
    background-color: #EDEDEB;
    padding: 1.5em 2em;
    margin-bottom: 3em;
    font-size: 16px;
}

.column-single-post-content #ez-toc-container .ez-toc-title {
    color: var(--color-gry);
    font-weight: 500;
    font-size: 16px;

}

.column-single-post-content #ez-toc-container .ez-toc-icon-toggle-span::before, 
.column-single-post-content #ez-toc-container .ez-toc-icon-toggle-span::after {
    width: 2px;
    height: 12px;
    background-color: var(--color-gry);
}

.column-single-post-content #ez-toc-container .ez-toc-icon-toggle-span::after {
    transform: rotate(-45deg);
}

.column-single-post-content #ez-toc-container .ez-toc-icon-toggle-span::before {
    transform: rotate(45deg);
}

.column-single-post-content #ez-toc-container .ez-toc-list > li {
    margin-bottom: 1.7em;
    overflow: visible;
}

.column-single-post-content #ez-toc-container .ez-toc-list > li > .ez-toc-link {
    font-size: 16px !important;
}

.column-single-post-content #ez-toc-container .ez-toc-list > li > a::before {
    content: counter(item, numeric);
    margin-right: 1em;
    width: 2em;
    height: 2em;
    background-color: var(--_color-white);
    color: var(--color-primary);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    translate: 0 -.2em;
}

.column-single-post-content #ez-toc-container .ez-toc-list > li ul {
    margin-top: 1em;
}

.column-single-post-content #ez-toc-container .ez-toc-list > li ul > li > a::before {
    content: counter(item, numeric);
    margin-right: 1em;
    padding-left: 1em;
    border-left: 1px solid rgba(var(--color-primary-rgb), 0.2);
    color: var(--color-primary);
}

#ez-toc-container ul ul, .ez-toc div.ez-toc-widget-container ul ul {
    margin-left: 1em !important;
}

div#ez-toc-container ul li, div#ez-toc-container ul li a {
    font-size: 14px !important;
    /* align-items: flex-start; */
}

.column-single-post-content #ez-toc-container .ez-toc-list > li ul > li {
    margin-bottom: 1em;
}

@media (max-width: 768px) {
    .column-single-post-content #ez-toc-container .ez-toc-list > li > .ez-toc-link {
        font-size: 14px !important;
    }
    div#ez-toc-container ul li, div#ez-toc-container ul li a {
        font-size: 12px !important;
    }
}

/* p */
.column-single-post-content > p {
    line-height: 1.8;
    margin: 1.5em 0;
}

@media (max-width: 768px) {
    .column-single-post-content > p {
        font-size: 14px;
    }
}

/* h2 ~ h4 */
.column-single-post-content h2.wp-block-heading {
    font-size: 24px;
    margin: 2em 0 1em;
    padding: 0.7em 1em;
    background-color: var(--color-primary);
    color: var(--color-wh);
}
.column-single-post-content h2.wp-block-heading::before {
    content: none;
}

.column-single-post-content h2.ttl_with_icon {
    position: relative;
    padding-left: 3.3em;
}
.column-single-post-content h2.ttl_with_icon img {
    position: absolute;
    top: 50%;
    left: 1em;
    width: 1.5em;
    height: 1.5em;
    translate: 0 -50%;
}

.column-single-post-content h3.wp-block-heading {
    margin: 2em 0 1.2em;
    padding-bottom: 0.8em;
    border-left: none;
    border-bottom: 1px solid var(--color-primary);
    color: var(--color-primary);
    font-size: 20px;
}

.column-single-post-content h3.ttl_with_icon {
    position: relative;
    padding-left: 2em;
}
.column-single-post-content h3.ttl_with_icon img {
    position: absolute;
    top: calc(50% - 0.4em);
    left: 0;
    width: 1.5em;
    height: 1.5em;
    translate: 0 -50%;
}

.column-single-post-content h4.wp-block-heading {
    display: flex;
    align-items: center;
    margin: 2em 0 1em;
    color: #247DBD;
    font-weight: 700;
    position: relative;
}

.column-single-post-content h4:not(.ttl_with_icon).wp-block-heading::before {
    content: "";
    width: 1em;
    height: 1em;
    border-radius: 2px;
    background: linear-gradient(135deg,#247DBD 0%, #247DBD 50%, #2D8CC8 50%, #2D8CC8 100%);
    margin-right: 1em;
    /* translate: 0 0.35em; */
    flex-shrink: 0;
}

.column-single-post-content h4.ttl_with_icon img {
    margin-right: 1em;
    width: 1.5em;
    height: 1.5em;
    flex-shrink: 0;
}

@media (max-width: 768px) {
    .column-single-post-content h2.wp-block-heading {
        font-size: 20px;
    }

    .column-single-post-content h3.wp-block-heading {
        font-size: 18px;
    }

    .column-single-post-content h4.wp-block-heading {
        font-size: 16px;
    }
}

/* ulリスト */
.column-single-post-content ul.wp-block-list {
    margin: 1em 0;
    padding: 1.5em;
    background-color: rgba(var(--color-lb-rgb), 0.05);
    display: flex;
    flex-direction: column;
    gap: 0.875em;
}

.column-single-post-content ul.wp-block-list > li {
    padding-left: 1.625em;
    text-indent: 0;
    position: relative;
}

.column-single-post-content ul.wp-block-list > li::before {
    content: "";
    width: 0.625em;
    height: 0.625em;
    border-radius: 50%;
    background-color: var(--color-lb);
    margin: 0;
    position: absolute;
    left: 0;
    top: 0.45em;
}
@media (max-width: 768px) {
    .column-single-post-content ul.wp-block-list > li  {
        font-size: 14px;
    }
}


/* olリスト */
.column-single-post-content ol.wp-block-list {
    margin: 1em 0;
    padding: 1.5em 1.5em 1.5em 2.8em;
    background-color: rgba(var(--color-lb-rgb), 0.05);
    display: flex;
    flex-direction: column;
    gap: 0.875em;
    list-style: auto;
}

.column-single-post-content ol.wp-block-list > li {
    padding-left: 0.5em;
    text-indent: 0;
}

.column-single-post-content ol.wp-block-list > li::marker {
    color: var(--color-lb);
    font-weight: 600;
}

@media (max-width: 768px) {
    .column-single-post-content ol.wp-block-list > li  {
        font-size: 14px;
    }
}

/* table */
.column-single-post-content .wp-block-table table {
    border-collapse: separate;
    border-spacing: 6px;
    font-size: 14px;
}

.column-single-post-content .wp-block-table thead {
    border: none;
}

.column-single-post-content .wp-block-table td, 
.column-single-post-content .wp-block-table th {
    border: none;
}

.column-single-post-content .wp-block-table td {
    background-color: var(--color-wh);
    padding: 1.14em 1em;
}

.column-single-post-content .wp-block-table thead th {
    background-color: #6991C2;
    color: var(--color-wh);
    padding: 1em;
}

.column-single-post-content .wp-block-table tbody th,
.column-single-post-content .wp-block-table.row_th tbody tr > td:first-child {
    background-color: #8EB7D1;
    padding: 1.14em 1em;
    color: var(--color-wh);
}

@media (max-width: 768px) {
    .column-single-post-content .wp-block-table table {
        font-size: 12px;
    }
}

/* 関連記事ブロック */
.block-related-container {
    margin: 2em 0 2.8em;
    display: block;
}
.block-related-ttl {
    display: inline-block;
    min-width: 136px;
    padding: 0.4em 1.14em;
    background-color: var(--color-gr);
    border-radius: 2px 2px 0 0;
    text-align: center;
    font-size: 14px;
    font-weight: 700;
    color: var(--color-wh);
}

.block-related-inner {
    border: 1px solid var(--color-gr);
    position: relative;
    padding: 1.5em 80px 1.5em 2.5em;
    background-color: #F8F8F8;
    box-shadow: 4px 4px 12px rgba(var(--color-bk-column-rgb), 0.1);

    display: grid;
    grid-template-columns: 240px 1fr;
    align-items: center;
    gap: 2em;
    transition: 0.3s;
}

.block-related-container:hover .block-related-inner {
    background-color: var(--color-wh);
    box-shadow: none;
}

.block-related-inner::before {
    content: "";
    width: 90%;
    height: 83%;
    border-right: 1px solid var(--color-gr);
    border-bottom: 1px solid var(--color-gr);
    position: absolute;
    bottom: -0.8em;
    right: -0.6em;
    transition: 0.3s;
    z-index: -1;
}

.block-related-container:hover .block-related-inner::before {
    bottom: 1em;
    right: 1em;
}

.block-related-inner::after {
    content: "";
    width: 16px;
    height: 100%;
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/arrow-block-related.svg) center / contain no-repeat;
    position: absolute;
    top: 0;
    right: 24px;
}


.block-related-txt p:first-child {
    color: var(--color-gr);
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 0.7em;
}

.block-related-txt p:last-child {
    color: var(--color-gry);
    font-size: 14px;
}

@media (max-width: 1024px) {
    .block-related-inner {
        padding: 1.5em 64px 1.5em 2em;
        grid-template-columns: 1fr;
        gap: 1em;
    }
}
@media (max-width: 768px) {

    .block-related-txt p:first-child {
        font-size: 16px;
    }

    .block-related-txt p:last-child {
        font-size: 12px;
    }
}

/* ひとことブロック */
.block-point-container {
    position: relative;
    margin: 4em 0 2em;
}

.block-point-container::before {
    content: "";
    display: block;
    width: 20px;
    height: 28px;
    position: absolute;
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/triangle-block-point.svg) center bottom / contain no-repeat;
    bottom: calc(100% - 2px);
    left: 60%;
    z-index: 1;
}
.block-point-inner {
    border: 1px solid var(--color-lb);
    border-radius: 4px;
    overflow: hidden;
    position: relative;
}

.block-point-inner::before {
    content: "";
    width: 120%;
    height: auto;
    aspect-ratio: 60 / 17;
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/br_bl.svg) center bottom / contain no-repeat;
    position: absolute;
    top: 16%;
    left: -10%;
    /* translate: 0 -50%; */
    z-index: -1;
    rotate: -10deg;
}

.block-point-ttl {
    display: inline-block;
    width: fit-content;
    max-width: min(55%, 30em);
    padding: 0.5em 1em;
    margin-bottom: 1.25em;
    background-color: var(--color-lb);
    border-radius: 0 0 4px 0;
    color: var(--color-wh);
    font-weight: 700;
}

.block-point-txt {
    display: flex;
    align-items: center;
    gap: 4.6%;
    padding: 0 4.6% 1.5em;
}

.block-point-img {
    width: 120px;
    aspect-ratio: 1;
}

.block-point-img img {
    height: 100%;
    object-fit: cover;
    border-radius: 50%;    
}

.block-point-txt p {
    flex: 1;
    font-size: 14px;
    line-height: 1.8;
    color: var(--color-lb);
}

@media (max-width:768px) {
    .block-point-container::before {
        left: 80%;
    }

    .block-point-inner::before {
        width: min(300%, 1200px);
        top: 10%;
    }

    .block-point-ttl {
        font-size: 14px;
        padding: 0.5em 0.8em;
        max-width: min(75%, 25em);
    }

    .block-point-txt {
        align-items: flex-start;
    }

    .block-point-img {
        width: 100px;
    }
}
/* ---------
　サイドバー
------------*/
.column-single-sidebar {
    position: sticky;
    top: 140px;
}

@media (max-width: 1100px) {
    .column-single-sidebar {
        top: 96px;
    }
}
/* おすすめの資料はこちら */
.block-recommend-container {
    text-align: center;
    margin-bottom: 32px;
    
}
.block-recommend-container h2 {
    display: inline-block;
    margin-bottom: 0.5em;
    background: linear-gradient(180deg, transparent 0%, transparent 60%, var(--color-yl) 60%, var(--color-yl) 100%);
    color: var(--color-primary);
    font-size: 18px;
}

.block-recommend-inner {
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/common/bg-cta-ebook.png) center / cover no-repeat;
    padding: 1em;
    box-shadow: 4px 4px 5px rgba(var(--color-bk-column-rgb), 0.1);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.block-recommend-inner h3 {
    color: var(--color-wh);
}

.block-recommend-inner a {
    width: fit-content;
    margin: 0 auto;
    padding: 8px 12px 8px 16px;
    display: flex;
    align-items: center;
    gap: 12px;
    border: 1px solid var(--color-yl);
    color: var(--color-yl);
    font-size: 14px;
    font-weight: 700;
    transition: 0.3s;
}

.block-recommend-inner a::after {
    content: "";
    height: 12px;
    width: 6px;
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/arrow-block-recommend.svg) center / contain no-repeat;
}

.block-recommend-inner a:hover {
    color: var(--color-primary);
    background-color: var(--color-yl);
}

.block-recommend-inner a:hover::after {
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/arrow-block-recommend-hover.svg) center / contain no-repeat;
}

/* 関連記事リスト */
.block-related-articles-container {
    padding-top: 32px;
    position: relative;
}

.block-related-articles-container::before {
    content: "";
    height: 1px;
    width: 100px;
    background: rgba(var(--color-gr-rgb), 0.2);
    position: absolute;
    top: 0;
    left: 0;
}

.block-related-articles-container h2 {
    font-size: 20px;
    letter-spacing: 0.05em;
    color: var(--color-gr);
    margin-bottom: 1em;
}

.block-related-articles-container h2 span {
    margin-left: 1.5em;
    font-size: 14px;
    font-weight: 400;
    color: var(--color-gry);
    letter-spacing: 0.02em;
}

.block-related-articles-list {
    display: flex;
    flex-direction: column;
}

.block-related-articles-list li {
    width: 100%;
}

.block-related-articles-list li a {
    width: 100%;
    display: grid;
    grid-template-columns: 2fr 3fr;
    align-items: center;
    gap: 10px;
    background-color: #f6f6f6;
    padding: 0.5em;
    transition: .3s;
}

.block-related-articles-list li a:hover {
    translate: -2px -3px;
    box-shadow: 4px 4px 12px rgba(var(--color-bk-column-rgb), 0.1);
}

.block-related-articles-list li img {
    object-fit: cover;
    aspect-ratio: 10 / 7;
}

.block-related-articles-list h3 {
    font-size: 12px;
    transition: .3s;
}

.block-related-articles-list li a:hover h3 {
    color: var(--color-gr);
}

.block-related-articles-more {
    padding: 0.5em 1em;
    margin: 24px 0 64px;
    background-color: var(--color-gr);
    border: 1px solid var(--color-gr);
    box-shadow: 4px 4px 12px rgba(var(--color-bk-column-rgb), 0.1);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    transition: 0.3s;
}

.block-related-articles-more::after {
    content: "";
    height: 13px;
    width: 7px;
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/arrow-block-related-articles.svg) center / contain no-repeat;
}

.block-related-articles-more p {
    font-size: 12px;
    font-weight: 700;
    color: var(--color-wh);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 0.2em 0.7em;
}

.block-related-articles-more p span.frame {
    display: inline-block;
    padding: 4px 8px;
    background-color: var(--color-gr);
    border: 1px solid var(--color-wh);
}

.block-related-articles-more p span.inline_block {
    display: inline-block;
}

.block-related-articles-more:hover {
    background-color: var(--color-wh);
}

.block-related-articles-more:hover::after {
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/column/arrow-block-related-articles-hover.svg) center / contain no-repeat;

}

.block-related-articles-more:hover p {
    color: var(--color-gr);
}

.block-related-articles-more:hover p span.frame {
    border-color: var(--color-gr);
    color: var(--color-wh);
}

/* サイドバーCTAボタン */
.sidebar-cta-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1em 0.5em;
    margin-bottom: 0.8em;
    border: solid 1px #C7C7BF;
    font-weight: 600;
    font-size: 16px;
    text-align: center;
    transition: 0.4s;
}

@media (hover:hover) {
    .sidebar-cta-button:hover {
        background-color: var(--color-wh);
        box-shadow: 4px 4px 12px rgba(var(--color-bk-column-rgb), .1);
    }
}
.sidebar-cta-button-inner {
    font-size: 20px;
}

.sidebar-cta-button-inner span {
    font-size: 0.6em;
}

/* フロートCTA */
.float-cta-container {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    z-index: 2;
    transition: 0.3s ease;
}

.float-cta-container.dis_none {
    translate: 0 100%;
    opacity: 0;
}

.float-cta-container a {
    flex: 1;
    padding: 1.3em;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.1em;
    border: 1px solid var(--color-wh);
    color: var(--color-wh);
    text-align: center;
    font-size: 14px;
}

.float-cta-container a:first-child {
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/common/bg-cta-ebook.png) center / cover no-repeat;
}

.float-cta-container a:last-child {
    background: url(/kagu/wp-content/themes/kagu_plus/assets/images/common/bg-cta-contact.png) center / cover no-repeat;
}

.float-cta-container a .float-cta-sub {
    letter-spacing: 0.05em;
}

.float-cta-container a .float-cta-main {
    letter-spacing: 0.05em;
    font-size: 1.5em;
    font-weight: 700;
}

@media (max-width: 768px) {
    .float-cta-container a {
        font-size: 10px;
    }
}


/* 下部コンテンツ調整 */
.column-single-posts {
    width: min(92%, 1200px);
    margin: 100px auto 0;
}